WEEX 钱包 REST API
string · requiredstring · requiredstring · requiredstring · requiredstringstringintegerstringstringbooleanstring | nullstringstringstringstringstringstringstringstringstring
划转
划转。
POST
/api/v3/wallet/transfer/self
https://api-spot.weex.com
划转 › 请求体(Request Body)
amount划转数量,必须大于 0,精度不得超过币种配置精度,超出返回 -1160。
fromAccountType划出账户类型:UNIMARGIN(合约账户)、SPOT(现货账户)、FUNDING(资金账户)。
toAccountType划入账户类型,枚举同 fromAccountType,且不能与划出账户相同。
coin币种编码。
bizId业务 ID。传入时业务部分必须为 16-32 位 ASCII 字母或数字,可带 openapi_ 前缀;无前缀时服务端自动补齐后存储和回传。不传时生成 openapi_ 加 32 位随机串。
params业务备注或扩展说明。
划转 › 响应
200
成功响应
code业务码,0 表示成功。
msg响应信息。
object
bizId实际使用的业务 ID。
resulttrue 表示划转成功。
transferId划转 ID,有可能为 Null。
-2413Insufficient balance.
-2442Asset transfer failed.
-2443Asset transfer is processing. Retry with the same bizId.
-2444fromAccountType and toAccountType cannot be the same.
-2445bizId already exists. Reuse it only with the original request parameters.
-2446Legacy spot account is not supported. Use SPOT instead.
-2447bizId must contain 16 to 32 ASCII letters or digits, optionally prefixed with 'openapi_'.
-2452Exceeds the maximum amount available for transfer.
-1160Decimal precision error.